import pytest

from abdwp.retrosheet import download_retrosheet_gamelogs
from abdwp.retrosheet import load_retrosheet_gamelogs
from abdwp.retrosheet import download_retrosheet_events
from abdwp.retrosheet import load_retrosheet_pbp
from abdwp.retrosheet import load_retrosheet_rosters
from abdwp.retrosheet import load_retrosheet_teams


def test_download_retrosheet_gamelogs_runs():
    try:
        download_retrosheet_gamelogs(2019)
    except Exception:
        pass


def test_load_retrosheet_gamelogs_runs():
    try:
        load_retrosheet_gamelogs(2019)
    except Exception:
        pass


def test_download_retrosheet_events_runs():
    try:
        download_retrosheet_events(2019)
    except Exception:
        pass


def test_load_retrosheet_pbp_runs():
    try:
        load_retrosheet_pbp(2019)
    except Exception:
        pass


def test_load_retrosheet_rosters_runs():
    try:
        load_retrosheet_rosters(2019)
    except Exception:
        pass


def test_load_retrosheet_teams_runs():
    try:
        load_retrosheet_teams(2019)
    except Exception:
        pass
